Description

Hi !

When you work with a lot of layers, you spend a lot of time making your layers visible/invisible to get the desired view at your data.

There a risk of error when doing so (you can easily forget a layer).

What would be great is to have a Layerset manager, where you could store all the layers visibility.

So you could switch all the layers visibilities by just changing one drop down menu.

In the Composer Manager, you could also assign a Layerset to a map (instead of the "freeze map content" option, which is not very

practical when you want to modify the contents).

Thanks !!

History

#1 - 2012-06-28 09:06 AM - Paolo Cavallini

Isn't it layer groups what you are looking for?

#2 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#3 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#4 - 2012-10-06 03:55 AM - Olivier redlead

@Paolo : no it's not layer groups.

This feature is called "layer comps" in Photoshop, "layer combinations" in Archicad, and so on...

If allows to take "snapshots" of the layers (and layer groups) visibility, and then restore them easily.

http://blog.cadimage.com/2010/05/updating-a-layer-combination/ (example in archicad)

http://images.sixrevisions.com/2010/04/27-09_photoshop_layer_comp1.png (example in photoshop)

It really miss this function, and I can't belive I'm the only one !

#5 - 2013-01-08 06:46 AM - Olivier redlead
In the meantime, I made to implement this function :

http://plugins.qgis.org/plugins/layerCombinations/

#6 - 2013-01-08 07:09 AM - Regis Haubourg

Very nice Olivier. I will for sure have lots of use for it when dealing with multimap composers.  I was using layer groups until now. Your tool avoids

duplicating layers in project.  I have a request in the dedicated hub https://github.com/redlegoreng/layerCombinations/issues/10

Do you think the feature request can be closed?

#7 - 2015-12-13 02:03 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

I think we can xlose it because in QGIS 2.12 (and probably in earlier versions), there is the "Manage layer visibility" option and it also can be used in the

composer...

Can you confirm this ?

#8 - 2016-01-15 01:46 PM - Médéric RIBREUX

- Resolution set to fixed/implemented

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Hello, bug triage...

closing this bug for lack of feedback and because everything seems to be implemented in QGIS master...

Feel free to reopen it if I have missed something !
